/*
 * Copyright (C) 2007 BEYLER Jean Christophe
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA
 */

#ifndef H_BJC_LIST_IMAGE_200706181542
#define H_BJC_LIST_IMAGE_200706181542

#include "Image.h"

/* macros =================================================================== */
/* constants ================================================================ */
/* types ==================================================================== */
typedef struct sListImage_ SListImage;
/* structures =============================================================== */
/* Structure d'un element de la liste chainee :
      - L'image
      - Le type d'animation
      - Le prochain element de la liste
 */
struct sListImage_
{
  SImage *im;
  int type_anim;
  struct sListImage_ *next;
};

/* internal public functions ================================================ */
/* entry points ============================================================= */
SListImage *ListImage_Create (void);
void ListImage_DestroyElem (SListImage *);
void ListImage_DestroyList (SListImage *);

/* public variables ========================================================= */
/* inline public functions  ================================================= */

#endif /* not H_BJC_LIST_IMAGE_200706181542 */
